CC26xx Driver Library |

- Main Page
- Related Pages
- CC26xx APIs
- Register Descriptions
- Online Resources

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Macros | Functions
setup.c File Reference
`#include <inc/hw_memmap.h>`
`#include <inc/hw_types.h>`
`#include <inc/hw_adi.h>`
`#include <inc/hw_adi_0_rf.h>`
`#include <inc/hw_adi_1_synth.h>`
`#include <inc/hw_adi_2_refsys.h>`
`#include <inc/hw_adi_3_refsys.h>`
`#include <inc/hw_adi_4_aux.h>`
`#include <inc/hw_aon_ioc.h>`
`#include <inc/hw_aon_sysctl.h>`
`#include <inc/hw_aon_wuc.h>`
`#include <inc/hw_aux_wuc.h>`
`#include <inc/hw_ccfg.h>`
`#include <inc/hw_chip_def.h>`
`#include <inc/hw_ddi.h>`
`#include <inc/hw_fcfg1.h>`
`#include <inc/hw_ddi_0_osc.h>`
`#include <inc/hw_prcm.h>`
`#include <inc/hw_vims.h>`
`#include <inc/hw_aon_batmon.h>`
`#include <inc/hw_aon_rtc.h>`
`#include <driverlib/adi.h>`
`#include <driverlib/cpu.h>`
`#include <driverlib/chipinfo.h>`
`#include <driverlib/ddi.h>`
`#include <driverlib/prcm.h>`
`#include <driverlib/sys_ctrl.h>`
`#include <driverlib/aon_batmon.h>`

Go to the source code of this file.

## Macros
#define | INCLUDE_VDDR_TEMPORARILY 1
#define | CLK_LF_RCOSC_LF 0xC00000
#define | CLK_LF_XOSC_LF 0x800000
#define | CLK_LF_XOSC_HF 0x000000
#define | DELAY_20_USEC 0x140
| Defined time delay assuming 48 MHz clock and resolution of 3 cycles. More...
#define | CPU_DELAY_MICRO_SECONDS(x) CPUdelay(((uint32_t)((( x ) * 48.0 ) / 5.0 )) - 1 )

## Functions
void | trimDevice (void)

## Macro Definition Documentation

#define CLK_LF_RCOSC_LF 0xC00000

Definition at line 86 of file setup.c.

#define CLK_LF_XOSC_HF 0x000000

Definition at line 88 of file setup.c.

#define CLK_LF_XOSC_LF 0x800000

Definition at line 87 of file setup.c.

#define CPU_DELAY_MICRO_SECONDS | ( |  | x | ) | CPUdelay(((uint32_t)((( x ) * 48.0 ) / 5.0 )) - 1 )

Definition at line 136 of file setup.c.

#define DELAY_20_USEC 0x140

Defined time delay assuming 48 MHz clock and resolution of 3 cycles.

Definition at line 124 of file setup.c.

#define INCLUDE_VDDR_TEMPORARILY 1

Definition at line 83 of file setup.c.

## Function Documentation

void trimDevice | ( | void |  | ) |

Perform the necessary trim of the device which is not done in boot code

This function should only execute coming from ROM boot. The current implementation does not take soft reset into account. However, it does no damage to execute it again. It only consumes time.

Definition at line 150 of file setup.c.